## pyme 0.7.0

=== Makefile ===
# $Id: Makefile,v 1.10 2005/04/21 03:53:11 belyi Exp $
# Copyright (C) 2004 Igor Belyi <belyi@users.sourceforge.net>
# Copyright (C) 2002 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

FILE = gpgme
PYPATH = pyme
PYFILE = $(FILE).py
CFILE = $(FILE)_wrap.c
HFILE = $(FILE).h
USRHFILE = /usr/include/$(HFILE)
SWIGSOURCE = $(FILE).i
DOCMODSDIRS := $(shell find pyme -type d | grep -v CVS | sed 'sx/x.xg')
DOCMODSFILES := $(shell find pyme -name "*.py" | egrep -v __init__ | grep -v gpgme.py | grep -v CVS | sed 'sx/x.xg')
DOCMODS := $(DOCMODSDIRS) $(DOCMODSFILES:.py=)
SWIGOPT := `gpgme-config --cflags` -I/usr/include 
PYMEVERS := $(shell python -c "from pyme.version import *;print versionstr")

build: swig
	$(PYTHON) setup.py build -b build

install: build
	$(PYTHON) setup.py install

info:
	@echo $(DOCMODS)

swig: $(CFILE) $(PYPATH)/$(PYFILE)

# Cleanup gpgme.h from deprecated functions and typedefs.
$(HFILE): $(USRHFILE)
	$(PYTHON) gpgme-h-clean.py $(USRHFILE) >$(HFILE)

$(CFILE) $(PYPATH)/$(PYFILE): $(SWIGSOURCE) $(HFILE) helpers.h
	swig -python $(SWIGOPT) $(SWIGSOURCE)
	mv $(PYFILE) $(PYPATH)/$(PYFILE)

clean:
	python setup.py clean --all
	rm -rf build build2.2 build2.3 build2.4 setup.cfg
	rm -f `find . -name "*~"` `find . -name "*.pyc"` `find . -name "*.so"`
	find . -name auth -exec rm -vf {}/password {}/username \;

#changelog:
#	svn log -v > ChangeLog

reallyclean: clean
	rm -f doc/*.html doc/gpgme/*.html $(CFILE) $(PYPATH)/$(PYFILE) $(HFILE)

docs:
	rm -f doc/*.html
	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib*` pydoc -w $$MOD; done

nondeb-dist: reallyclean
	rm -rf ../pyme-$(PYMEVERS)
	mkdir ../pyme-$(PYMEVERS)
	tar -c --exclude="debian" --exclude="CVS" * | tar -x -C ../pyme-$(PYMEVERS)
	tar -czf ../pyme-$(PYMEVERS).tar.gz -C .. pyme-$(PYMEVERS)
	rm -rf ../pyme-$(PYMEVERS)

dist:
	fakeroot debian/rules clean
	fakeroot debian/rules binary
	fakeroot debian/rules clean
	rm -rf ../pyme-$(PYMEVERS)
	mkdir ../pyme-$(PYMEVERS)
	tar -c --exclude="CVS" * | tar -x -C ../pyme-$(PYMEVERS)
	tar -czf ../pyme-$(PYMEVERS).tar.gz -C .. pyme-$(PYMEVERS)
	rm -rf ../pyme-$(PYMEVERS)

## pyme 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.10 2005/04/21 03:53:11 belyi Exp $
-# Copyright (C) 2004 Igor Belyi <belyi@users.sourceforge.net>
+# $Id: Makefile,v 1.17 2008/03/30 21:27:38 belyi Exp $
+# Copyright (C) 2004,2008 Igor Belyi <belyi@users.sourceforge.net>
 # Copyright (C) 2002 John Goerzen <jgoerzen@complete.org>
 #
 #    This library is free software; you can redistribute it and/or
@@ -16,24 +16,39 @@
 #    License along with this library; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 
+PYTHON = python
+MODULE = pygpgme
 FILE = gpgme
 PYPATH = pyme
-PYFILE = $(FILE).py
+PYFILE = $(MODULE).py
 CFILE = $(FILE)_wrap.c
 HFILE = $(FILE).h
-USRHFILE = /usr/include/$(HFILE)
+USRHFILE = $(shell gpgme-config --prefix)/include/$(HFILE)
 SWIGSOURCE = $(FILE).i
 DOCMODSDIRS := $(shell find pyme -type d | grep -v CVS | sed 'sx/x.xg')
-DOCMODSFILES := $(shell find pyme -name "*.py" | egrep -v __init__ | grep -v gpgme.py | grep -v CVS | sed 'sx/x.xg')
+DOCMODSFILES := $(shell find pyme -name "*.py" | egrep -v __init__ | grep -v gpgme.py | sed 'sx/x.xg')
 DOCMODS := $(DOCMODSDIRS) $(DOCMODSFILES:.py=)
-SWIGOPT := `gpgme-config --cflags` -I/usr/include 
+SWIGOPT := $(shell gpgme-config --cflags) -I/usr/include 
 PYMEVERS := $(shell python -c "from pyme.version import *;print versionstr")
+SYSTEM = $(shell uname -s | sed 's/_.*//')
+ifeq ($(SYSTEM),MINGW32)
+  DLLDIR := $(shell gpgme-config --exec-prefix)/bin
+  DLLFILES := $(DLLDIR)/libgpg-error-0.dll $(DLLDIR)/libgpgme-11.dll
+  SWIG = /c/cygwin/bin/swig
+else
+  SWIG = swig
+endif
 
 build: swig
+ifeq ($(SYSTEM),MINGW32)
+	$(PYTHON) setup.py build -b build --compiler=mingw32
+	cp $(DLLFILES) build/lib.win32-*/pyme
+else
 	$(PYTHON) setup.py build -b build
+endif
 
 install: build
-	$(PYTHON) setup.py install
+	$(PYTHON) setup.py install --skip-build
 
 info:
 	@echo $(DOCMODS)
@@ -45,12 +60,12 @@
 	$(PYTHON) gpgme-h-clean.py $(USRHFILE) >$(HFILE)
 
 $(CFILE) $(PYPATH)/$(PYFILE): $(SWIGSOURCE) $(HFILE) helpers.h
-	swig -python $(SWIGOPT) $(SWIGSOURCE)
+	$(SWIG) -python $(SWIGOPT) $(SWIGSOURCE)
 	mv $(PYFILE) $(PYPATH)/$(PYFILE)
 
 clean:
 	python setup.py clean --all
-	rm -rf build build2.2 build2.3 build2.4 setup.cfg
+	rm -rf build dist
 	rm -f `find . -name "*~"` `find . -name "*.pyc"` `find . -name "*.so"`
 	find . -name auth -exec rm -vf {}/password {}/username \;
 
@@ -60,9 +75,12 @@
 reallyclean: clean
 	rm -f doc/*.html doc/gpgme/*.html $(CFILE) $(PYPATH)/$(PYFILE) $(HFILE)
 
-docs:
+docs: build
 	rm -f doc/*.html
 	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib*` pydoc -w $$MOD; done
+ifneq (, $(PYSRCURL))
+	cd doc; for MOD in $(DOCMODS); do sed -i -e "s#\"file:.*/site-packages/\(pyme/.*\)\">[^<]*</a>#\"$(PYSRCURL)\">\1</a>#" $$MOD.html; done
+endif
 
 nondeb-dist: reallyclean
 	rm -rf ../pyme-$(PYMEVERS)
@@ -72,6 +90,9 @@
 	rm -rf ../pyme-$(PYMEVERS)
 
 dist:
+ifeq ($(SYSTEM),MINGW32)
+	$(PYTHON) setup.py bdist_wininst --skip-build
+else
 	fakeroot debian/rules clean
 	fakeroot debian/rules binary
 	fakeroot debian/rules clean
@@ -80,3 +101,4 @@
 	tar -c --exclude="CVS" * | tar -x -C ../pyme-$(PYMEVERS)
 	tar -czf ../pyme-$(PYMEVERS).tar.gz -C .. pyme-$(PYMEVERS)
 	rm -rf ../pyme-$(PYMEVERS)
+endif

## pyme 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.17 2008/03/30 21:27:38 belyi Exp $
+# $Id: Makefile,v 1.18 2008/05/29 18:29:37 belyi Exp $
 # Copyright (C) 2004,2008 Igor Belyi <belyi@users.sourceforge.net>
 # Copyright (C) 2002 John Goerzen <jgoerzen@complete.org>
 #
@@ -77,7 +77,7 @@
 
 docs: build
 	rm -f doc/*.html
-	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib*` pydoc -w $$MOD; done
+	cd doc; for MOD in $(DOCMODS); do PYTHONPATH=`echo ../build/lib* | sed -e "s# #:#"` pydoc -w $$MOD; done
 ifneq (, $(PYSRCURL))
 	cd doc; for MOD in $(DOCMODS); do sed -i -e "s#\"file:.*/site-packages/\(pyme/.*\)\">[^<]*</a>#\"$(PYSRCURL)\">\1</a>#" $$MOD.html; done
 endif

=== debian/changelog ===
pyme (1:0.8.1-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:07:56 +0000

pyme (1:0.8.1-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
  * Switch to dpkg-source 3.0 (quilt) format.
    + Update debian/source/format accordingly.
    + No need to remove manually debian/ from the upstream source tarball.
    + Add debian/patches/fix_setup_dash_ftbfs.patch including changes on
      setup.py previously found in diff.gz.
    + debian/control:
      - Remove Build-Depends on quilt.
    + debian/rules:
      - Do not include patchsys-quilt.mk anymore.
  * Use dh_python2 rather than now deprecated dh_pycentral. Closes: #616934.
    + debian/control:
      - Rename now deprecated XS-Python-Version to X-Python-Version.
      - Remove now deprecated XB-Python-Version.
      - Bump cdbs version to 0.4.90-1~.
      - Bump python-all-dev version to 2.6.6-3~.
      - Remove Build-Depends on python-central.
    + debian/rules:
      - Remove DEB_PYTHON_SYSTEM.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Apr 2011 10:39:58 +0900

pyme (0.8.1+clean-4) unstable; urgency=low

  * Team upload.
  * debian/patches:
    + Add fix_import_error.patch to fix import error with Python >= 2.6
      (closes: #589382). Thanks to Martin Manns for the bug report and to Uldis
      Ansmits for the patch.
  * debian/control:
    + Update Standards-Version to 3.9.1. No changes needed.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 23 Aug 2010 16:27:23 +0200

pyme (0.8.1+clean-3) unstable; urgency=low

  * debian/patches:
    + Add add_missing_check_version.patch to fix breakage in signing.
      Thanks to Marek Hulán. Closes: #550596.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 27 Oct 2009 17:24:56 +0000

pyme (0.8.1+clean-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * debian/patches:
    + Add build_with_lfs.patch as required by libgpgme. Closes: #546679.
  * Use quilt to manage patches.
  * debian/copyright:
    + Update copyright years.
  * debian/control:
    + Drop now useless Conflicts and Replaces.
    + Update Standards-Version to 3.8.3.
      - Add README.source.
    + Add ${misc:Depends} to python-pyme and python-pyme-doc Depends in
      case the result of a call to debhelper tools adds extra
      dependencies.

  [ Sandro Tosi ]
  * debian/control:
    + Switch Vcs-Browser field to viewsvn.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 09 Oct 2009 17:04:22 +0100

pyme (0.8.1+clean-1) unstable; urgency=low

  * New upstream release.
    + Update 01_makefile.patch as a part of the diff has been merged
      upstream.
  * Get rid of debian/ directory in upstream source and add a note about
    that in debian/copyright.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 02 Dec 2008 16:23:52 +0000

pyme (0.8.0-2) unstable; urgency=low

  * Apply patch which fixes FTBFS with dash. Thanks to Adrien
    Cunin. Closes: #493110.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 15 Aug 2008 18:51:26 +0200

pyme (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 3.8.0.
    + Wrap Uploaders and Build-Depends fields.
  * debian/copyright:
    + Update copyright years.
  * debian/patches:
    + Drop 02_gpgme.patch because it has been applied upstream.
    + Update 01_makefile.patch.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 30 Jun 2008 18:03:16 +0200

pyme (0.7.0-4) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.

  [ Piotr Ożarowski ]
  * debian/control:
    + Vcs-Svn, Vcs-Browser and Homepage fields added (dpkg support
      them now).

  [ Sandro Tosi ]
  * debian/control
    - Uniforming Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 23 Feb 2008 11:53:33 +0000

pyme (0.7.0-3) unstable; urgency=low

  * Update Standards-Version to 3.7.2. No changes needed.
  * New Python policy changes. Closes: #373499.
    + Add debian/pycompat.
    + debian/compat:
      - Update debhelper compatibility to 5.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pycentral.
      - Clean debian/rules.
    + debian/control.in:
      - Remove all versioned packages.
      - Add XB-Python-Version field for binary package.
      - Add XS-Python-Version field for source package.
      - Add Conflicts and Replaces fields against previous revisions.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 24 Jun 2006 16:23:45 +0200

pyme (0.7.0-2) unstable; urgency=low

  * Add debian/patches/01_gpgme.patch in order to fix FTBFS issue
    due to swig version 1.3.28. Closes: #358648.
  * Move swig stuff from pre-build rules to post-patches in order to
    patch gpgme.i before executing swig (debian/rules).

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 12 Apr 2006 22:21:01 +0200

pyme (0.7.0-1) unstable; urgency=low

  * New upstream release. Thanks to Igor Belyi and John Goerzen for
    maintaining unofficial debian package. Closes: #322168.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu, 12 Jan 2006 13:57:34 +0100

=== debian/control ===
Source: pyme
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Gustavo Franco <stratus@debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90-1~),
               python-all-dev (>= 2.6.6-3~),
               libgpgme11-dev,
               swig
Homepage: http://pyme.sourceforge.net
X-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyme/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyme/trunk/
Standards-Version: 3.9.2

Package: python-pyme
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pyme-doc
Description: Python interface to the GPGME GnuPG encryption library
 Pyme is, for the most part, a direct interface to the C GPGME
 library.  However, it is re-packaged in a more Pythonic way --
 object-oriented with classes and modules.  Take a look at the classes
 defined here -- they correspond directly to certain object types in GPGME
 for C.
 .
 Features:
  * Feature-rich, full implementation of the GPGME library. Supports
    all GPGME features except interactive editing (coming soon).
    Callback functions may be written in pure Python.
  * Ability to sign, encrypt, decrypt, and verify data.
  * Ability to list keys, export and import keys, and manage the keyring.
  * Fully object-oriented with convenient classes and modules.

Package: python-pyme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Python interface to the GPGME GnuPG encryption library
 This package contains the documentation for Pyme.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Common rules
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# In order to run `make swig' one time only for the build
STAMP_MAKE_SWIG=debian/stamp-make-swig

# Don't compress .py, .glade and .gladep files
DEB_COMPRESS_EXCLUDE := .py .glade .gladep

# Documentations
DEB_HTML_DOC=debian/html

DEB_DESTDIR=debian/python-pyme

# Run `make swig' before building
post-patches::
	if ! test -f $(STAMP_MAKE_SWIG); then \
	  PYTHON=/usr/bin/python make swig; \
	  touch $(STAMP_MAKE_SWIG); \
	else \
	  echo "make swig already done"; \
	fi

install/python-pyme-doc::
	make docs
	cp -r $(DEB_SRCDIR)/doc $(DEB_HTML_DOC)

clean::
	# Clean the source tree
	-rm -rf $(DEB_HTML_DOC) $(STAMP_MAKE_SWIG)
	make reallyclean

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pyme/ pyme-([\d.]*)\.tar\.gz
